nRF51 SDK: ble_gap_evt_t Struct Reference

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_gap_evt_t Struct Reference
Generic Access Profile (GAP) | Structures | Generic Access Profile (GAP)

GAP event callback event structure. More...

`#include <ble_gap.h>`

## Data Fields

uint16_t | conn_handle
union {
ble_gap_evt_connected_t connected
ble_gap_evt_disconnected_t disconnected
ble_gap_evt_conn_param_update_t conn_param_update
ble_gap_evt_sec_params_request_t sec_params_request
ble_gap_evt_sec_info_request_t sec_info_request
ble_gap_evt_passkey_display_t passkey_display
ble_gap_evt_auth_key_request_t auth_key_request
ble_gap_evt_auth_status_t auth_status
ble_gap_evt_conn_sec_update_t conn_sec_update
ble_gap_evt_timeout_t timeout
ble_gap_evt_rssi_changed_t rssi_changed
} | params
union {
ble_gap_evt_connected_t connected
ble_gap_evt_disconnected_t disconnected
ble_gap_evt_conn_param_update_t conn_param_update
ble_gap_evt_sec_params_request_t sec_params_request
ble_gap_evt_sec_info_request_t sec_info_request
ble_gap_evt_passkey_display_t passkey_display
ble_gap_evt_auth_key_request_t auth_key_request
ble_gap_evt_auth_status_t auth_status
ble_gap_evt_conn_sec_update_t conn_sec_update
ble_gap_evt_timeout_t timeout
ble_gap_evt_rssi_changed_t rssi_changed
ble_gap_evt_adv_report_t adv_report
ble_gap_evt_sec_request_t sec_request
ble_gap_evt_conn_param_update_request_t conn_param_update_request
} | params
union {
ble_gap_evt_connected_t connected
ble_gap_evt_disconnected_t disconnected
ble_gap_evt_conn_param_update_t conn_param_update
ble_gap_evt_sec_params_request_t sec_params_request
ble_gap_evt_sec_info_request_t sec_info_request
ble_gap_evt_passkey_display_t passkey_display
ble_gap_evt_auth_key_request_t auth_key_request
ble_gap_evt_auth_status_t auth_status
ble_gap_evt_conn_sec_update_t conn_sec_update
ble_gap_evt_timeout_t timeout
ble_gap_evt_rssi_changed_t rssi_changed
} | params

## Detailed Description

GAP event callback event structure.

## Field Documentation

ble_gap_evt_adv_report_t ble_gap_evt_t::adv_report

Advertising Report Event Parameters.

ble_gap_evt_auth_key_request_t ble_gap_evt_t::auth_key_request

Authentication Key Request Event Parameters.

ble_gap_evt_auth_status_t ble_gap_evt_t::auth_status

Authentication Status Event Parameters.

uint16_t ble_gap_evt_t::conn_handle

Connection Handle on which event occured.

ble_gap_evt_conn_param_update_t ble_gap_evt_t::conn_param_update

Connection Parameter Update Parameters.

ble_gap_evt_conn_param_update_request_t ble_gap_evt_t::conn_param_update_request

Connection Parameter Update Parameters.

ble_gap_evt_conn_sec_update_t ble_gap_evt_t::conn_sec_update

Connection Security Update Event Parameters.

ble_gap_evt_connected_t ble_gap_evt_t::connected

Connected Event Parameters.

ble_gap_evt_disconnected_t ble_gap_evt_t::disconnected

Disconnected Event Parameters.

union { ... } ble_gap_evt_t::params

Event Parameters.

ble_gap_evt_passkey_display_t ble_gap_evt_t::passkey_display

Passkey Display Event Parameters.

ble_gap_evt_rssi_changed_t ble_gap_evt_t::rssi_changed

RSSI Event parameters.

ble_gap_evt_sec_info_request_t ble_gap_evt_t::sec_info_request

Security Information Request Event Parameters.

ble_gap_evt_sec_params_request_t ble_gap_evt_t::sec_params_request

Security Parameters Request Event Parameters.

ble_gap_evt_sec_request_t ble_gap_evt_t::sec_request

Security Request Event Parameters.

ble_gap_evt_timeout_t ble_gap_evt_t::timeout

Timeout Event Parameters.